package com.bipt.intelligentapplicationorchestrationservice.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.servers.Server;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.ArrayList;
import java.util.List;

@Configuration
@Slf4j
public class WebMvcConfiguration implements WebMvcConfigurer {

    /**
     * 配置OpenAPI信息
     */
    @Bean
    public OpenAPI customOpenAPI() {
        // 设置服务器信息（可选）
        List<Server> servers = new ArrayList<>();
        servers.add(new Server().url("/").description("本地服务器"));

        return new OpenAPI()
                .info(new Info()
                        .title("智能应用服务管理")
                        .version("2.0")
                        .description("智能应用服务管理接口文档"))
                .servers(servers);
    }

}