package com.bipt.intelligentapplicationorchestrationservice.deploy.entity;

public class DeployResponse<T> {
    private boolean isSuccess;
    private String errorInfo;
    private int status;
    private T data;

    public DeployResponse(boolean b, String s, int i, T data) {
        isSuccess = b;
        errorInfo = s;
        status = i;
        this.data = data;
    }

    // 成功响应
    public static <T> DeployResponse<T> success(T data) {
        return new DeployResponse<>(true, "", 200, data);
    }

    // 失败响应
    public static <T> DeployResponse<T> fail(int status, String error) {
        return new DeployResponse<>(false, error, status, null);
    }
}
